Open main menu

Funtoo β

News:GCC Update

GCC Update

GCC Update

By Oleg / November 25, 2016
  • Update to gcc-5.3.0 now available on both current and stable builds. Due to ABI changes [1], introduced with gcc-5.1, users need to perform additional steps with gcc upgrade:
root # emerge --sync
root # emerge -u1 gcc

Now, after gcc update and if your box have multiple gcc versions installed, it is needed to switch to newly installed version with gcc-config. For example, to check installed version:

oleg2  # gcc-config -l
 [1] x86_64-pc-linux-gnu-4.9.3 *
 [2] x86_64-pc-linux-gnu-5.3.0 
oleg2  #

Switch to new gcc by:

oleg2 # gcc-config 2
oleg2 # . /etc/profile

This step makes gcc-5.3.0 your default compiler. Now, as mentioned before, this version is ABI incompatible with gcc-4.9 and after updating following steps needed:

oleg2  # emerge -e @system --exclude gcc

In addition, rebuilding of packages that linking against libstdc++ with revdep-rebuild needed. This steps will perform rebuilding the list of packages that linked against libstdc++.so.6, a new version of standart library from gcc-5. This packages can be missing in @system set.

oleg2  # revdep-rebuild --library 'libstdc++.so.6' -- --exclude gcc

[1] https://gcc.gnu.org/onlinedocs/libstdc%2B%2B/manual/using_dual_abi.html